/*
 * ballista.js
 *
 * Copyright (c) 2005 by Daniel Potter.  All rights reserved.
 *
 * This file is part of the Vana'diel Clock.
 *
 * The Vana'diel Clock is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * The Vana'diel Clock is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the Vana'diel Clock; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 * Contains Ballista timing information.
 */

// Ballista schedule from: http://www.playonline.com/comnewsus/040629fg5rh3.html

const JUGNER = "jugner";
const MERIPHATAUD = "meriphataud";
const PASHHOW = "pashhow";

var ballista_locations = [ JUGNER, PASHHOW, MERIPHATAUD ];

const BASTOK = "bastok";
const SANDORIA = "sandoria";
const WINDURST = "windurst";

var ballista_versus = [
	[
		[ SANDORIA, BASTOK ],
		[ BASTOK, WINDURST ],
		[ SANDORIA, WINDURST ]
	],
	[
		[ BASTOK, WINDURST ],
		[ SANDORIA, WINDURST ],
		[ SANDORIA, BASTOK ],
	],
	[
		[ SANDORIA, WINDURST ],
		[ SANDORIA, BASTOK ],
		[ BASTOK, WINDURST ]
	]
];

var ballista_levels = [ 30, 40, 50, 60, 0 ];

var ballista_strings = new Object();

function VanadielClock_localizeBallista() {
    var strBundleService = Components.classes["@mozilla.org/intl/stringbundle;1"].getService(Components.interfaces.nsIStringBundleService);
    var strings = strBundleService.createBundle("chrome://vanadielclock/locale/advanced-clock.properties");
    ballista_strings[JUGNER] = strings.GetStringFromName("location.jugner");
    ballista_strings[MERIPHATAUD] = strings.GetStringFromName("location.meriphataud");
    ballista_strings[PASHHOW] = strings.GetStringFromName("location.pashhow");
    ballista_strings[BASTOK] = strings.GetStringFromName("nation.bastok");
    ballista_strings[SANDORIA] = strings.GetStringFromName("nation.sandoria");
    ballista_strings[WINDURST] = strings.GetStringFromName("nation.windurst");
    for (var i in ballista_levels) {
	ballista_strings["level." + ballista_levels[i]] = strings.GetStringFromName("level." + ballista_levels[i])
    }
}
